const Discord = require('discord.js');
const errors = require('../errors.json');

exports.run = async (client, message, args) => {
    const user = message.mentions.users.first() || message.guild.members.cache.get(args[0]);
    if (!user) {
        message.channel.send(errors.insufficient_args).catch(() => {
            return;
        });
        return;
    };
    const embed = new Discord.MessageEmbed()
    .setColor(0xff0000)
    .setDescription(`${message.author} hugs <@!${user.id}>`)
    .setImage('https://cdn.discordapp.com/attachments/782955123974078474/783056366486814720/5EbKYsHrUz.gif')
    message.channel.send(embed).catch(() => {
        message.channel.send(errors.cannot_send_embed).catch(() => {
            return;
        });
        return;
    });
};

module.exports.help = {
    name: 'hug',
    aliases: []
};
