const Discord = require('discord.js');
const errors = require('../errors.json');

exports.run = async (client, message, args) => {
    const user = message.mentions.users.first() || message.guild.members.cache.get(args[0]);
    if (!user) {
        message.channel.send(errors.insufficient_args).catch(() => {
            return;
        });
        return;
    };
    const embed = new Discord.MessageEmbed()
    .setColor(0xff0000)
    .setDescription(`${message.author} kisses <@!${user.id}>`)
    .setImage('https://media.tenor.com/images/d68747a5865b12c465e5dff31c65d5c2/tenor.gif');
    message.channel.send(embed).catch(() => {
        message.channel.send(errors.cannot_send_embed).catch(() => {
            return;
        });
        return;
    });
};

module.exports.help = {
    name: 'kiss',
    aliases: []
};
