const Discord = require("discord.js");
const errors = require('../errors.json');

exports.run = async (client, message, args) => {
    const spoiler_message = args.join(' ');
    if (!spoiler_message) {
        message.channel.send(errors.insufficient_args).catch(() => {
            return;
        });
        return;
    };

    const embed = new Discord.MessageEmbed()
    .setColor('RANDOM')
    .setDescription(`|| ${spoiler_message} ||`);
    message.channel.send(embed).catch(() => {
        message.channel.send(errors.cannot_send_embed).catch(() => {
            return;
        });
    });
};

module.exports.help = {
    name: 'start-vote',
    aliases: ['start_vote']
};