const Discord = require("discord.js");
const errors = require('../errors.json');

exports.run = async (client, message, args) => {
    const vote_message = args.join(' ');
    if (!vote_message) {
        message.channel.send(errors.insufficient_args).catch(() => {
            return;
        });
        return;
    };

    const embed = new Discord.MessageEmbed()
    .setTitle('Vote started!')
    .setColor('RANDOM')
    .setDescription(vote_message);
    message.channel.send(embed).catch(() => {
        message.channel.send(errors.cannot_send_embed).catch(() => {
            return;
        });
    }).then(function(reactions) {
        reactions.react('👍');
        reactions.react('👎');
    });
};
module.exports.help = {
    name: 'start-vote',
    aliases: ['start_vote']
};