const Discord = require('discord.js');
const moment = require('moment');
const errors = require('../errors.json');

exports.run = (client, message , args) => {
    let user = message.guild.member(message.mentions.users.first() || message.author || message.guild.members.cache.get(args[0]));
    client.users.cache.get(user);
    const embed = new Discord.MessageEmbed()
    .setColor(0x00AE86)
    .setTitle("User Information")
    .setTimestamp()
    .addField('User:',`<@${user.id}>`)
    .addField('User ID:', `${user.id}`)
    .addField('Created At:', `${moment(user.user.createdAt).format('lll') + '\n' + moment(new Date()).diff(user.user.createdAt, 'days') + ' days ago'}`)
    .addField('Joined At:', `${moment(user.joinedAt).format('lll') + '\n' + moment(new Date()).diff(user.joinedAt, 'days') + ' days ago'}`)
    .addField('Last Message:', `${user.lastMessage}`)
    message.channel.send(embed).catch(() => {
        message.channel.send(errors.cannot_send_embed).catch(() => {
            return;
        });
        return;
    });
};

module.exports.help = {
    name: 'userinfo',
    aliases: ['user-info', 'user_info', 'whois']
};
