const Discord = require('discord.js');
const config = require('../config.json');

exports.run = async (client, message, args, connection) => {
    const author = client.users.cache.get(config.owner);
    const embed = new Discord.MessageEmbed()
    .setTitle("My Author:")
    .setDescription(`<@${author.id}> ([${author.tag}](https://discord.com/users/${author.id}))`)
    .setColor(0xff8019);
    message.channel.send(embed).catch(() => {
        return;
    });
};

module.exports.help = {
    name: 'author',
    aliases: ['owner']
};