const Discord = require('discord.js');
const errors = require('../errors.json');

exports.run = async (client, message, args, connection) => {
    let embedmessage = args.join(' ');
    if (!embedmessage) {
        message.channel.send(errors.insufficient_args).catch(() => {
            return;
        });
        return;
    };
    const embed = new Discord.MessageEmbed()
    .setDescription(embedmessage)
    .setFooter(message.author.tag)
    .setColor(0x01df00);
    message.channel.send(embed).catch(() => {
        message.channel.send(errors.unknown_error).catch(() => {
            return;
        });
        return;
    });
};

module.exports.help = {
    name: 'embed',
    aliases: ['send_embed']
};