const config = require('../config.json');
module.exports = {
    ready: (client) => {
        if (config.token == "TOKEN") {
            console.warn(`You need to edit config file before running.`);
            process.exit(1);
        };
        client.login(config.token).catch(e => {
            console.warn(`An error occurred while connecting to Discord ${e}`);
            process.exit(1);
        });
        client.on('ready', async () => {
            client.user.setActivity({
                    name: config.presence
            });
            console.log(`Logging in as ${client.user.tag} (${client.user.id})`);
        });
    }
};
